#ifndef _KGR_PATCH_BSC1012852_H
#define _KGR_PATCH_BSC1012852_H

#include "local.h"

int kgr_patch_bsc1012852_init(void);
void kgr_patch_bsc1012852_cleanup(void);
int kgr_tipc_enable_l2_media(struct net *net, struct tipc_bearer *b,
	struct nlattr *attr[]);
int kgr_tipc_l2_device_event(struct notifier_block *nb, unsigned long evt,
	void *ptr);
int kgr_tipc_udp_enable(struct net *net, struct tipc_bearer *b,
	struct nlattr *attrs[]);

#define KGR_PATCH_BSC1012852_FUNCS						\
	KGR_PATCH_OBJ(tipc_enable_l2_media, kgr_tipc_enable_l2_media, "tipc"),	\
	KGR_PATCH_OBJ(tipc_l2_device_event, kgr_tipc_l2_device_event, "tipc"),	\
	KGR_PATCH_OBJ(tipc_udp_enable, kgr_tipc_udp_enable, "tipc"),

#endif
